Axes
Date: 2019-10-22

org.jmol.shape

## Class Axes

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.FontLineShape
    - - org.jmol.shape.Axes

-     public class Axes
      extends FontLineShape

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `javajs.util.P3[]` | `axisPoints` [x, y, z, -x, -y, -z] or [a, b, c, -a, -b, -c]
    `java.lang.String` | `axisType`
    `javajs.util.P3` | `axisXY`
    `(package private) javajs.util.V3` | `corner`
    `javajs.util.P3` | `fixedOrigin`
    `javajs.util.P3` | `fixedOriginUC`
    `java.lang.String[]` | `labels`
    `private static float` | `MIN_AXIS_LEN`
    `javajs.util.P3` | `originPoint`
    `private javajs.util.P3` | `pt0`
    `(package private) javajs.util.P3` | `ptTemp`
    `float` | `scale`

    - ### Fields inherited from class org.jmol.shape.FontLineShape

      `font3d, tickInfos`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Axes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javajs.util.P3` | `getAxisPoint(int i, boolean isDataFrame)` get actual point or 1/2 vector from origin to this point
    `java.lang.Object` | `getProperty(java.lang.String property, int index)`
    `void` | `initShape()`
    `void` | `reinitShape()`
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bs)`
    `(package private) void` | `setScale(float scale)`

    - ### Methods inherited from class org.jmol.shape.FontLineShape

      `getShapeState, setPropFLS`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setModelVisibilityFlags, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### axisXY

          public javajs.util.P3 axisXY

    - #### scale

          public float scale

    - #### fixedOrigin

          public javajs.util.P3 fixedOrigin

    - #### originPoint

          public final javajs.util.P3 originPoint

    - #### axisPoints

          public final javajs.util.P3[] axisPoints

      [x, y, z, -x, -y, -z] or [a, b, c, -a, -b, -c]

    - #### labels

          public java.lang.String[] labels

    - #### axisType

          public java.lang.String axisType

    - #### MIN_AXIS_LEN

          private static final float MIN_AXIS_LEN

      See Also:
        Constant Field Values

    - #### pt0

          private final javajs.util.P3 pt0

    - #### fixedOriginUC

          public final javajs.util.P3 fixedOriginUC

    - #### ptTemp

          final javajs.util.P3 ptTemp

    - #### corner

          javajs.util.V3 corner

  - ### Constructor Detail

    - #### Axes

          public Axes()

  - ### Method Detail

    - #### setProperty

          public void setProperty(java.lang.String propertyName,
                                  java.lang.Object value,
                                  javajs.util.BS bs)

      Specified by:
        `setProperty` in class `Shape`

    - #### initShape

          public void initShape()

      Overrides:
        `initShape` in class `FontLineShape`

    - #### reinitShape

          public void reinitShape()

    - #### getAxisPoint

          public javajs.util.P3 getAxisPoint(int i,
                                             boolean isDataFrame)

      get actual point or 1/2 vector from origin to this point
      Parameters:
        `i` -
        `isDataFrame` -
      Returns:
        actual point if not a data frame and not an XY request; otherwise return 1/2 vector along unit cell

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String property,
                                              int index)

      Overrides:
        `getProperty` in class `Shape`
      Returns:
        true if serviced

    - #### setScale

          void setScale(float scale)